package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsDrugCheck;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.v2.v1.model.vo.*;
import com.ruoyi.web.v2.v1.utils.PaginationUtil;

/**
 * <p>
 * v2.0违禁药物登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
public interface IJsDrugCheckService extends IService<JsDrugCheck> {

    AjaxResult add(JsDrugCheck drugCheck);

    AjaxResult edit(JsDrugCheck drugCheck);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String animalCertNo);

    AjaxResult listAll();

    //违禁药物检测及屠宰检验情况登记表
    PaginationUtil.PageResult<DrugAndProduce> drugAndProduce(Integer pageNum,Integer pageSize,String startTime,String endTime,String cargoOwner);

    //无害化处理登记表
    PaginationUtil.PageResult<HarmlessVo> harmlessTreatment(Integer pageNum, Integer pageSize,String startTime,String endTime,String cargoOwner);

    //生猪入场查验情况登记表
    PaginationUtil.PageResult<AdmissionVo> Admission(Integer pageNum, Integer pageSize,String startTime
            ,String endTime,String animalCertNo,String cargoOwner);


    //生猪产品出场情况登记表
    PaginationUtil.PageResult<OutPlaceVo> outPlace(Integer pageNum, Integer pageSize,String startTime,String endTime,String cargoOwner);

    //生猪屠宰情况日汇总等级表
    PaginationUtil.PageResult<SummaryVo> SummaryVo(Integer pageNum, Integer pageSize,String startTime,String endTime);
}
